.calc_wrap .title { text-align: center; margin-bottom: 10px; font-weight: bold; font-size: 16px;}
.item_calc { display: flex; border: 1px solid #ddd; max-width: 344px; margin-bottom: 10px;}
.item_calc span { padding: 8px 10px; vertical-align: top; background: #EEEEEE;}
.item_calc input { border: 0; background: #fff; padding: 0 10px; width: 100px;}
.calc_wrap { display: flex; padding: 16px 16px; border: 1px solid #ccc;}
.item_calc span:first-child { min-width: 160px;}
.item_calc span:last-child { min-width: 24px;}
.btn_calc { background: #006EB6; color: #fff; font-weight: bold; font-size: 15px; padding: 10px 15px; margin-top: 15px; display: inline-block; vertical-align: top; cursor: pointer;}
.right_calc { margin-left: 40px;}
.block_new { display: flex; align-items: end;}
.block_new .buy_one_click {
  cursor: pointer;
  margin-top: 20px;
  padding: 14px;
  background: #006eb6;
  color: #fff;
  font-weight: bold;
  font-size: 15px;
  text-align: center;
  margin: 0 0 24px 15px;
  white-space: nowrap;
}

@media screen and (max-width: 768px) {
	.item_calc span:first-child { min-width: 141px;}
}

@media screen and (max-width: 640px) {
	.calc_wrap { flex-direction: column;}
	.right_calc { margin-left: 0; margin-top: 20px;}
	.calc_wrap .title { text-align: left;}
	.item_calc input { width: 100%;}
}

@media screen and (max-width: 380px) {
	.item_calc span:first-child { min-width: 143px;}
	.item_calc { justify-content: space-between;}
	.item_calc span:last-child { text-align: center;}
	.btn_calc { display: block; text-align: center;}
	.block_new { flex-direction: column; margin-left: 0; align-items: center;}
	.shop2-product-mode-wr .add-form .product-amount { margin: 0 auto;}
	.block_new .buy_one_click { margin-left: 0; margin-top: 10px;}
}

@media screen and (max-width: 320px) {
	.item_calc span:first-child { min-width: 131px; font-size: 14px;}
	.item_calc span { padding-left: 8px; padding-right: 8px;}
}